## org.eclipse.emf.ecore.util
Interface EContentsEList.FeatureListIterator<E>

All Superinterfaces:
  EContentsEList.FeatureIterator<E>, java.util.Iterator<E>, java.util.ListIterator<E>

All Known Subinterfaces:
  FeatureMap.ValueListIterator<E>

All Known Implementing Classes:
  BasicFeatureMap.ValueListIteratorImpl, DelegatingFeatureMap.ValueListIteratorImpl, EContentsEList.FeatureIteratorImpl, EContentsEList.ResolvingFeatureIteratorImpl, ECrossReferenceEList.FeatureIteratorImpl, ECrossReferenceEList.ResolvingFeatureIteratorImpl

Enclosing class:
  EContentsEList<E>

    public static interface EContentsEList.FeatureListIterator<E>

extends EContentsEList.FeatureIterator<E>, java.util.ListIterator<E>

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.util.EContentsEList.FeatureIterator
`feature`

Methods inherited from interface java.util.ListIterator
`add, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.